/* This file is part of the KDE project
 * Copyright (C) Boudewijn Rempt <boud@valdyas.org>, (C) 2008
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */
#include "kis_filter_option.h"
#include <klocale.h>
#include <filter/kis_filter.h>
#include <filter/kis_filter_configuration.h>

#include "ui_wdgfilteroption.h"

class KisFilterOptionWidget : public QWidget, public Ui::FilterOpOptions {
public:
    KisFilterOptionWidget(QWidget* parent = 0)
        : QWidget(parent)
    {
        setupUi(this);
    }
};

KisFilterOption::KisFilterOption()
        : KisPaintOpOption(i18n("Filter"))
{
    m_checkable = true;
    m_optionWidget = new KisFilterOptionWidget;
    m_optionWidget->hide();
    setConfigurationPage(m_optionWidget);
}

const KisFilterSP KisFilterOption::filter() const
{
    return 0;
}

KisFilterConfiguration* KisFilterOption::filterConfig() const
{
    return 0;
}

void KisFilterOption::writeOptionSetting(KisPropertiesConfiguration* setting) const
{
    // XXX: implement
}

void KisFilterOption::readOptionSetting(const KisPropertiesConfiguration* setting)
{
    // XXX: implement
}
